*** lib/erl_interface/src/ei_nothreads.c	Sun Jun 23 23:13:34 2002
--- lib/erl_interface/src/ei_nothreads.c.fixed	Sun Jun 23 23:13:16 2002
***************
*** 31,32 ****
--- 31,33 ----
  extern int erl_locking_init_done;
+ extern int ei_init();
  
***************
*** 44,56 ****
  
- void *erl_m_create(void)   { return NULL; }
- int erl_m_destroy(void *l) { return 0; }
- int erl_m_lock(void *l)    { return 0; }
- int erl_m_trylock(void *l) { return 0; } 
- int erl_m_unlock(void *l)  { return 0; } 
- 
  #if !defined(VXWORKS) && !defined(__WIN32__)
  
- volatile int * 
- __erl_errno_place (void) { return &__erl_errno; }
- 
  #ifndef NO_PRAGMA_WEAK
--- 45,48 ----
***************
*** 65,69 ****
  #pragma weak __erl_errno_place
- 
  #endif
  
  #endif
--- 57,70 ----
  #pragma weak __erl_errno_place
  #endif
  
+ volatile int * 
+ __erl_errno_place (void) { return &__erl_errno; }
+ 
+ void *erl_m_create(void)   { return NULL; }
+ int erl_m_destroy(void *l) { return 0; }
+ int erl_m_lock(void *l)    { return 0; }
+ int erl_m_trylock(void *l) { return 0; } 
+ int erl_m_unlock(void *l)  { return 0; } 
+ 
+ 
  #endif
